paddleslim.nas.search\_space package
====================================

.. automodule:: paddleslim.nas.search_space
    :members:
    :undoc-members:
    :show-inheritance:

Submodules
----------

paddleslim.nas.search\_space.base\_layer module
-----------------------------------------------

.. automodule:: paddleslim.nas.search_space.base_layer
    :members:
    :undoc-members:
    :show-inheritance:

paddleslim.nas.search\_space.combine\_search\_space module
----------------------------------------------------------

.. automodule:: paddleslim.nas.search_space.combine_search_space
    :members:
    :undoc-members:
    :show-inheritance:

paddleslim.nas.search\_space.inception\_block module
----------------------------------------------------

.. automodule:: paddleslim.nas.search_space.inception_block
    :members:
    :undoc-members:
    :show-inheritance:

paddleslim.nas.search\_space.mobilenet\_block module
----------------------------------------------------

.. automodule:: paddleslim.nas.search_space.mobilenet_block
    :members:
    :undoc-members:
    :show-inheritance:

paddleslim.nas.search\_space.mobilenetv1 module
-----------------------------------------------

.. automodule:: paddleslim.nas.search_space.mobilenetv1
    :members:
    :undoc-members:
    :show-inheritance:

paddleslim.nas.search\_space.mobilenetv2 module
-----------------------------------------------

.. automodule:: paddleslim.nas.search_space.mobilenetv2
    :members:
    :undoc-members:
    :show-inheritance:

paddleslim.nas.search\_space.resnet module
------------------------------------------

.. automodule:: paddleslim.nas.search_space.resnet
    :members:
    :undoc-members:
    :show-inheritance:

paddleslim.nas.search\_space.resnet\_block module
-------------------------------------------------

.. automodule:: paddleslim.nas.search_space.resnet_block
    :members:
    :undoc-members:
    :show-inheritance:

paddleslim.nas.search\_space.search\_space\_base module
-------------------------------------------------------

.. automodule:: paddleslim.nas.search_space.search_space_base
    :members:
    :undoc-members:
    :show-inheritance:

paddleslim.nas.search\_space.search\_space\_factory module
----------------------------------------------------------

.. automodule:: paddleslim.nas.search_space.search_space_factory
    :members:
    :undoc-members:
    :show-inheritance:

paddleslim.nas.search\_space.search\_space\_registry module
-----------------------------------------------------------

.. automodule:: paddleslim.nas.search_space.search_space_registry
    :members:
    :undoc-members:
    :show-inheritance:

paddleslim.nas.search\_space.utils module
-----------------------------------------

.. automodule:: paddleslim.nas.search_space.utils
    :members:
    :undoc-members:
    :show-inheritance:


